package com.hiyuyi.library.plugin;

import android.app.Application;

import com.alibaba.fastjson.JSONObject;
import com.hiyuyi.library.base.log.YyLog;
import com.hiyuyi.library.base.external.BaseInter;
import com.hiyuyi.library.base.external.LibGlobal;
import com.hiyuyi.library.base.external.Request;
import com.hiyuyi.library.base.external.Response;

/**
 * @author JuanTop
 * @date 2021/6/27
 */
public class YyInter extends BaseInter {
    public static Application application;
    @Override
    protected Response syncObtain(Request request) throws Exception {
        switch (request.methodCode){
            case LibGlobal.MethodBaseGlobal.INIT:
                application = request.applicationWeakReference.get();

                //初始化 log
                JSONObject config = (JSONObject) request.requestParams;
                YyLog.init(application, getClass(), config);
                break;
        }
        return null;
    }
}
