package com.hiyuyi.library.plugin;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;

public class DexResponse implements Serializable {
    @JSONField(name = "FileUrl")
    private String fileUrl;
    @JSONField(name = "InnerVersion")
    private int innerVersion;
    @JSONField(name = "ServerMd5")
    private String serverMd5;
    @JSONField(name = "NeedUpdate")
    private int needUpdate;
    @JSONField(name = "Key")
    private String key;
    @JSONField(name = "LocalMd5")
    private String localMd5;
    @JSONField(name = "NeedMigration")
    private int needMigration;
    @JSONField(name = "IsFocusUpdate")
    private int isFocusUpdate;
    @JSONField(name = "UpdateContent")
    private String updateContent;
    @JSONField(name = "FunctionId")
    private String functionId;
    @JSONField(name = "FunctionName")
    private String functionName;

    public boolean needUpgrade() {
        //0-不用更新，1-需要更新
        return needUpdate == 1;
    }

    public boolean canMigrate() {
        //0-不用合并，1-需要合并
        return needMigration == 1;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public int getInnerVersion() {
        return innerVersion;
    }

    public void setInnerVersion(int innerVersion) {
        this.innerVersion = innerVersion;
    }

    public String getServerMd5() {
        return serverMd5;
    }

    public void setServerMd5(String serverMd5) {
        this.serverMd5 = serverMd5;
    }

    public int getNeedUpdate() {
        return needUpdate;
    }

    public void setNeedUpdate(int needUpdate) {
        this.needUpdate = needUpdate;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getLocalMd5() {
        return localMd5;
    }

    public void setLocalMd5(String localMd5) {
        this.localMd5 = localMd5;
    }

    public int getNeedMigration() {
        return needMigration;
    }

    public void setNeedMigration(int needMigration) {
        this.needMigration = needMigration;
    }

    public int getIsFocusUpdate() {
        return isFocusUpdate;
    }

    public void setIsFocusUpdate(int isFocusUpdate) {
        this.isFocusUpdate = isFocusUpdate;
    }

    public String getUpdateContent() {
        return updateContent;
    }

    public void setUpdateContent(String updateContent) {
        this.updateContent = updateContent;
    }

    public String getFunctionId() {
        return functionId;
    }

    public void setFunctionId(String functionId) {
        this.functionId = functionId;
    }

    public String getFunctionName() {
        return functionName;
    }

    public void setFunctionName(String functionName) {
        this.functionName = functionName;
    }


//
//    public int Status;
//    public String Message;
//    public String InnerVersion;
//    public String Url;
//    public String ServerMd5;
//    public String LocalMd5;
//    public String Key;
//    public int NeedUpdate;
//    public int NeedMigration;
//    public int IsFocusUpdate;
//    public String UpdateContent;
//    public String libPck;
//
//    /**
//     * 是否强制更新
//     *
//     * @return
//     */
//    public boolean isForceUpdate() {
//        return IsFocusUpdate == 1;
//    }
//

//
//    @Override
//    public String toString() {
//        return "DexResponseModel{" +
//                "Status=" + Status +
//                ", Message='" + Message + '\'' +
//                ", InnerVersion='" + InnerVersion + '\'' +
//                ", Url='" + Url + '\'' +
//                ", ServerMd5='" + ServerMd5 + '\'' +
//                ", LocalMd5='" + LocalMd5 + '\'' +
//                ", Key='" + Key + '\'' +
//                ", NeedUpdate=" + NeedUpdate +
//                ", NeedMigration=" + NeedMigration +
//                ", IsFocusUpdate=" + IsFocusUpdate +
//                ", UpdateContent='" + UpdateContent + '\'' +
//                '}';
//    }
}
